This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 594453 - Manually removing a VirtualHost in conf and re-adding causes multiple instances to appear in UI
Manually removing a VirtualHost in conf and re-adding causes multiple instanc...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Filip Drabek
Mike Foley
:
Depends On:
Blocks: jon24-apache jon30-bugs
  Show dependency treegraph
 
Reported: 2010-05-20 13:44 EDT by Corey Welton
Modified: 2013-09-02 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:24:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Snippet of UI now showing two instances where there should only be one. (11.24 KB, image/png)
2010-05-20 13:45 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-05-20 13:44:27 EDT
Description of problem:
I manually removed a virtualhost in my conf file via cmdline.  I then removed said service from inventory.  When I readded and checked config/invetory etc., old one was re-added, along with a new one.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a virtualhost in httpd.con, akin to

<VirtualHost dhcp231-107.rdu.redhat.com:8888>
    ServerAdmin webmaster@dhcp231-107.rdu.redhat.com
    DocumentRoot /var/www/html/vhost
    ServerName dhcp231-107.rdu.redhat.com
    ErrorLog logs/dhcp231-107.rdu.redhat.com-error_log
    CustomLog logs/dhcp231-107.rdu.redhat.com-access_log common
</VirtualHost>

Assure there are no other reference to '8888' in doc.
2.  Trigger a syntax check or something in the UI that causes this resource to appear in inventory.
3.  Manually remove said instance via cmdline.  
4. Remove this resource from inventory in UI.
5. Re-add the resource via cmdline.
6. Trigger syntax check.
7. Check once again to make sure there is only one reference to the vhost on port 8888
  
Actual results:
Two instances appear in inventory.

Expected results:
Only one.

Additional info:
Screenshot to be attached.
Comment 1 Corey Welton 2010-05-20 13:45:27 EDT
Created attachment 415480 [details]
Snippet of UI now showing two instances where there should only be one.
Comment 2 Filip Drabek 2010-08-26 04:36:45 EDT
I can not reproduce the problem. 
Can you please test if the problem still occures on your environment?
Comment 3 Sunil Kondkar 2011-06-14 06:36:37 EDT
Verified on build#123 (Version: 4.1.0-SNAPSHOT Build Number: a6d2d56)

Followed the steps and verified that only one instance of virtual host appears in the inventory.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:24:09 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.